Package org.apache.maven.scm.provider.svn.svnexe.command.remove

## Class SvnRemoveCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.remove.AbstractRemoveCommand
    - - org.apache.maven.scm.provider.svn.svnexe.command.remove.SvnRemoveCommand

All Implemented Interfaces:
  `Command`, `SvnCommand`

    public class SvnRemoveCommand
    extends AbstractRemoveCommand
    implements SvnCommand

Author:
  Brett Porter, Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`SvnRemoveCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ScmResult` `executeRemoveCommand​(ScmProviderRepository repository, ScmFileSet fileSet, java.lang.String message)`

### Methods inherited from class org.apache.maven.scm.command.remove.AbstractRemoveCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### SvnRemoveCommand

    public SvnRemoveCommand()

### Method Detail

#### executeRemoveCommand

    protected ScmResult executeRemoveCommand​(ScmProviderRepository repository,
                                             ScmFileSet fileSet,
                                             java.lang.String message)
                                      throws ScmException

Specified by:
  `executeRemoveCommand` in class `AbstractRemoveCommand`
Throws:
  `ScmException`